#include "Vram.h"
#include "Chars.h"

extern byte[] MonoChars, BarrierChars, ColorChars;

void InitVram()
{
    InitVdp();
    InitMonoChar(Vram_PatternGenerator, MonoChars, 64, 7);
    InitMonoChar(
        Vram_PatternGenerator + Char_Logo * CharSize,
        MonoChars + Char_Logo * CharHeight,
        16, 5
    );
    InitColorChar(
        Vram_PatternGenerator + Char_Wall * CharSize,
        ColorChars, Char_End - Char_Wall
    );
}

word Put2C(word vram, byte c)
{
    repeat (2) {
        repeat (2) {
            vram = Put(vram, c);
            c += 2;
        }
        c += 1 - 4;
        vram += VramRowSize - 2 * VramStep;
    }
    return vram + (2 * VramStep - VramRowSize * 2);
}
