include "Vram.inc"

ext Main_
ext InitVram_, InitSound_, SoundHandler

dseg
TimerCount: public TimerCount
    defb 0

cseg
    ld sp,0e000h
    im 1

    do
        in a,(7eh)
        cp 0b0h
    while nz | wend

    di
        call InitSound_
        call InitVram_
    ei
    jp Main_

    defs 30h-16h
Rst30h: public Rst30h
    push hl
    pop hl
    push hl
    pop hl
    ret

    defs 38h-30h-5
Rst38h: public Rst38h
    ; jp Handler
Handler: public Handler
    push af
        in a,(VdpPort+1)
        and 80h
        if nz
            ; xor a | ld (VRas),a
            ld a,(TimerCount)
            or a
            if nz
                dec a
                ld (TimerCount),a
            endif
            call SoundHandler
        ; else
        ;     in a,(7eh) ; | ld (VRas),a
        ;     cp  24+8*18 ; 192-2 ; 
        ;     if nc
        ;         ld a,(roll)
        ;         or a
        ;         if nz
        ;             xor a | ld (roll),a
        ;             ld a,6*8 | out (VdpPort+1),a
        ;             ld a,8 or 80h | out (VdpPort+1),a
        ;         endif
        ;     else
        ;         cp 5*8-1
        ;         if nc
        ;             ld a,(roll)
        ;             or a
        ;             if z
        ;                 inc a | ld (roll),a
        ;                 ld a,(HScroll_) | neg | out (VdpPort+1),a
        ;                 ld a,8 or 80h | out (VdpPort+1),a
        ;             endif
        ;         endif
        ;     endif
        endif
    pop af
    ei
reti


WaitTimer_:
    public WaitTimer_
    push af
        ld (TimerCount),a
        do
            ; call UpdateSprites_
            ld a,(TimerCount)
            or a
        while nz | wend
    pop af
ret
